---
title: Howto formatter une clé USB
...

## Format FAT32 : compatibilité maximale

Après avoir utilisé une clé USB dans un format spécial (copie d'une image ISO de démarrage, formattage spécial, etc.) on peut souhaiter retrouver un formattage compatible avec le plus grand nombre d'OS.

Commencez par liste les disques reconnus avec `fdisk -l` ou `lsblk`
Admettons que notre support soit accessible sur `/dev/sdX`.
Nous allons utiliser `fdisk` pour la reformatter.

~~~
$ fdisk /dev/sdX       # utilisation de fdisk(8)
> d                    # supprimer une partition
> n                    # créer une nouvelle partition
> p                    # choisir une partition primaire
> 1                    # faire de cette partition la première partition
>                      # valider deux fois pour les premiers et derniers secteurs
> t                    # modifier le type de partition
> b                    # indiquer le code hexadécimal de "W95 FAT32"
> w                    # enregistrer la partition et quitter

$ mkdosfs /dev/sdX1    # création d'un filesystem DOS sur la première partition
~~~

